package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiHazardArchive;

/**
 * 危险源档案 服务层
 */
public interface ITBusiHazardArchiveService {

    /**
     * 查询危险源档案信息
     * @param guid 查询条件
     * @return 危险源档案信息
     */
    TBusiHazardArchive selectTBusiHazardArchiveByGuid(String guid);

    /**
     * 查询危险源档案列表
     * @param tBusiHazardArchive 危险源档案查询条件
     * @return 危险源档案集合
     */
    List<TBusiHazardArchive> selectTBusiHazardArchiveList(TBusiHazardArchive tBusiHazardArchive);

    /**
     * 新增危险源档案
     * @param tBusiHazardArchive 危险源档案信息
     * @return 影响行数
     */
    int insertTBusiHazardArchive(TBusiHazardArchive tBusiHazardArchive);

    /**
     * 修改危险源档案
     * @param tBusiHazardArchive 危险源档案信息
     * @return 影响行数
     */
    int updateTBusiHazardArchive(TBusiHazardArchive tBusiHazardArchive);

    /**
     * 删除危险源档案
     * @param guid 危险源档案主键
     * @return 影响行数
     */
    int deleteTBusiHazardArchiveByGuid(String guid);

    /**
     * 批量删除危险源档案
     * @param guids 危险源档案主键数组
     * @return 影响行数
     */
    int deleteTBusiHazardArchiveByGuids(String[] guids);
}
